<?xml version="1.0" encoding = "Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="plgtcpnetwork"
	ProjectGUID="{5E9F17D2-1DFB-84BA-62E9-F1EBD6B787F0}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
  		<Platform Name="Win32"/>
    		<Platform Name="x64"/>
  	</Platforms>
	<Configurations>
            		<Configuration
			Name="ReleaseWithStaticLibs|Win32"
			OutputDirectory="..\..\out\release8\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\release8\build\plgtcpnetwork\"
			ConfigurationType="2"
			WholeProgramOptimization="1"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				StringPooling="TRUE"
				EnableFunctionLevelLinking="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="FALSE"
				ProgramDataBaseFileName="..\..\out\release8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\release8\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\release8\build\plgtcpnetwork\"
				ObjectFile="..\..\out\release8\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\release8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\release8\build\plgtcpnetwork\Win32\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\release8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="1"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\release8\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\release8\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\release8\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
      		<Configuration
			Name="ReleaseWithDlls|Win32"
			OutputDirectory="..\..\out\release8\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\release8\build\plgtcpnetwork\"
			ConfigurationType="2"
			WholeProgramOptimization="1"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				StringPooling="TRUE"
				EnableFunctionLevelLinking="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="FALSE"
				ProgramDataBaseFileName="..\..\out\release8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\release8\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\release8\build\plgtcpnetwork\"
				ObjectFile="..\..\out\release8\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\release8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\release8\build\plgtcpnetwork\Win32\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\release8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="1"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\release8\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\release8\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\release8\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
                		<Configuration
			Name="DebugWithStaticLibs|Win32"
			OutputDirectory="..\..\out\debug8\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\debug8\build\plgtcpnetwork\"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				MinimalRebuild="TRUE"
				RuntimeTypeInfo="TRUE"
				RuntimeLibrary="3"

				ProgramDataBaseFileName="..\..\out\debug8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\debug8\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\debug8\build\plgtcpnetwork\"
				ObjectFile="..\..\out\debug8\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD,MSVCRT"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\debug8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\debug8\build\plgtcpnetwork\Win32\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace_d.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\debug8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="1"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\debug8\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\debug8\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\debug8\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
      		<Configuration
			Name="DebugWithDlls|Win32"
			OutputDirectory="..\..\out\debug8\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\debug8\build\plgtcpnetwork\"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				MinimalRebuild="TRUE"
				RuntimeTypeInfo="TRUE"
				RuntimeLibrary="3"

				ProgramDataBaseFileName="..\..\out\debug8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\debug8\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\debug8\build\plgtcpnetwork\"
				ObjectFile="..\..\out\debug8\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD,MSVCRT"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\debug8\build\plgtcpnetwork\Win32\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\debug8\build\plgtcpnetwork\Win32\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace_d.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\debug8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="1"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\debug8\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\debug8\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\debug8\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
                        		<Configuration
			Name="ReleaseWithStaticLibs|x64"
			OutputDirectory="..\..\out\release8-x64\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\release8-x64\build\plgtcpnetwork\"
			ConfigurationType="2"
			WholeProgramOptimization="1"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				StringPooling="TRUE"
				EnableFunctionLevelLinking="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="FALSE"
				ProgramDataBaseFileName="..\..\out\release8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\release8-x64\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\release8-x64\build\plgtcpnetwork\"
				ObjectFile="..\..\out\release8-x64\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\release8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\release8-x64\build\plgtcpnetwork\x64\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\release8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="17"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\release8-x64\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\release8-x64\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\release8-x64\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
      		<Configuration
			Name="ReleaseWithDlls|x64"
			OutputDirectory="..\..\out\release8-x64\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\release8-x64\build\plgtcpnetwork\"
			ConfigurationType="2"
			WholeProgramOptimization="1"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				StringPooling="TRUE"
				EnableFunctionLevelLinking="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="FALSE"
				ProgramDataBaseFileName="..\..\out\release8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\release8-x64\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\release8-x64\build\plgtcpnetwork\"
				ObjectFile="..\..\out\release8-x64\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\release8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\release8-x64\build\plgtcpnetwork\x64\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\release8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="17"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\release8-x64\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\release8-x64\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\release8-x64\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
                		<Configuration
			Name="DebugWithStaticLibs|x64"
			OutputDirectory="..\..\out\debug8-x64\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\debug8-x64\build\plgtcpnetwork\"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				MinimalRebuild="TRUE"
				RuntimeTypeInfo="TRUE"
				RuntimeLibrary="3"

				ProgramDataBaseFileName="..\..\out\debug8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\debug8-x64\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\debug8-x64\build\plgtcpnetwork\"
				ObjectFile="..\..\out\debug8-x64\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD,MSVCRT"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\debug8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\debug8-x64\build\plgtcpnetwork\x64\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace_d.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\debug8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="17"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\debug8-x64\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\debug8-x64\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\debug8-x64\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
      		<Configuration
			Name="DebugWithDlls|x64"
			OutputDirectory="..\..\out\debug8-x64\build\plgtcpnetwork\"
			IntermediateDirectory="..\..\out\debug8-x64\build\plgtcpnetwork\"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				MinimalRebuild="TRUE"
				RuntimeTypeInfo="TRUE"
				RuntimeLibrary="3"

				ProgramDataBaseFileName="..\..\out\debug8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS"
				OptimizeForProcessor="1"
				AdditionalOptions=" "
				AdditionalIncludeDirectories=".;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				PrecompiledHeaderFile="..\..\out\debug8-x64\build\plgtcpnetwork\plgtcpnetwork.pch"
				AssemblerListingLocation="..\..\out\debug8-x64\build\plgtcpnetwork\"
				ObjectFile="..\..\out\debug8-x64\build\plgtcpnetwork\"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="false"
				TreatWChar_tAsBuiltInType="false"
				ForceConformanceInForLoopScope="true"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="TRUE"
				IgnoreDefaultLibraryNames="LIBC,LIBCD,LIBCMT,LIBCMTD,MSVCRT"
				OutputFile="..\..\tcpnetwork.dll"
				ProgramDatabaseFile="..\..\out\debug8-x64\build\plgtcpnetwork\x64\tcpnetwork.pdb"
				IgnoreImportLibrary="TRUE"
				DelayLoadDLLs=""
				ImportLibrary="..\..\out\debug8-x64\build\plgtcpnetwork\x64\plgtcpnetwork.lib"
				AdditionalOptions=" "
				AdditionalDependencies="delayimp.lib ws2_32.lib libcrystalspace_d.lib"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\CS\out\debug8\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug8\libs;$(CRYSTAL)\libs\csutil\win32\libs"
				LargeAddressAware="2"
				TargetMachine="17"/>
			<Tool
				Name="VCLibrarianTool"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName="..\..\out\debug8-x64\build\plgtcpnetwork\plgtcpnetwork.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="md ..\..\out\debug8-x64\bin 2&gt; nul&#x0D;&#x0A;copy /y &quot;$(TargetPath)&quot; ..\..\out\debug8-x64\bin\&#x0D;&#x0A;"
				/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=8"
				AdditionalIncludeDirectories=".;..\..\plugins\network\tcp;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
            	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="">
			<File
				RelativePath="..\..\msvc\plugin_impl.cpp">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\crc.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\err.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\errorstr.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\group.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\htcondition.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\hthread.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\htmutex.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\ipx.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\loopback.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\nl.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\nltime.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\sock.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\wsock.c">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgame.cpp">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgameclient.cpp">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgamefactory.cpp">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgameserver.cpp">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcputils.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="">
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\include\hawklib.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\include\hawkthreads.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\include\nl.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\htinternal.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\ipx.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\loopback.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\nlinternal.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\parallel.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\serial.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\sock.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\hawknl\src\wsock.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgame.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgameclient.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgamefactory.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcpgameserver.h">
			</File>
			<File
				RelativePath="..\..\plugins\network\tcp\tcputils.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="">
			<File
				RelativePath="..\..\msvc\plgtcpnetwork.rc">
			</File>
		</Filter>
		<Filter
			Name="Other Files"
			Filter="">
			<File
				RelativePath="..\..\plugins\network\tcp\tcpnetwork.csplugin">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
